Deals
Accept deal
Accept a deal and set its status to Accepted
POST
/
v3
/
deals
/
{id}
/
accept
Accept deal
curl --request POST \
--url https://api.example.com/v3/deals/{id}/accept \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"note": "<string>"
}
'import requests
url = "https://api.example.com/v3/deals/{id}/accept"
payload = { "note": "<string>" }
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({note: '<string>'})
};
fetch('https://api.example.com/v3/deals/{id}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"contactId": 123,
"sourcePartnerId": 123,
"stage": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"totalAmount": 123,
"properties": {},
"sourceLeadId": 123,
"status": "Unknown",
"partners": [
{
"id": 123,
"dealId": 123,
"userPartnerOwnerId": 123,
"userPartnerOwnerName": "<string>",
"userPartnerFirstName": "<string>",
"userPartnerLastName": "<string>",
"userPartnerEmail": "<string>",
"userPartnerJobTitle": "<string>",
"userPartnerPhoneNumber": "<string>",
"userPartnerLinkedInProfileUrl": "<string>",
"partnerId": 123,
"partnerTypeId": 123,
"creationDate": "2023-11-07T05:31:56Z",
"partnerName": "<string>",
"partnerTypeName": "<string>"
}
],
"contractStartDate": "2023-11-07T05:31:56Z",
"contractEndDate": "2023-11-07T05:31:56Z",
"ownerUserId": 123,
"owner": {
"id": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"closeDate": "2023-11-07T05:31:56Z",
"customerId": 123,
"currency": "<string>"
}Path Parameters
The ID of the deal to accept.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
Deal accepted
Show child attributes
Show child attributes
Available options:
Unknown, Pending, Accepted, Refused, Expired Show child attributes
Show child attributes
Show child attributes
Show child attributes
Accept deal
